from modeltranslation.translator import translator, TranslationOptions
from .models import *


class StaticPage_TranslationOptions(TranslationOptions):
    fields = (
        'name', 'description', 'text', 'title', 'FAQ_title', 'seo_title', 'seo_description', 'seo_text'
    )
translator.register(StaticPage, StaticPage_TranslationOptions)


class Office_TranslationOptions(TranslationOptions):
    fields = (
        'name', 'description', 'text', 'title', 'FAQ_title', 'seo_title', 'seo_description', 'seo_text',
        'city', 'address', 'workTime', 'work_time_from', 'work_time_to',
    )
translator.register(Office, Office_TranslationOptions)


class Contact_TranslationOptions(TranslationOptions):
    fields = (
        'name', 'contact_label', 'contact_prefix', 'contact_data',
    )
translator.register(Contact, Contact_TranslationOptions)


class Block_TranslationOptions(TranslationOptions):
    fields = (
        'name', 'description', 'text', 'title', 'FAQ_title', 'but_title',
        'video_url', 'bg_video_url', 'url'
    )
translator.register(Block, Block_TranslationOptions)


class Option_TranslationOptions(TranslationOptions):
    fields = (
        'name', 'value', 'prefix'
    )
translator.register(Option, Option_TranslationOptions)


class WidgetForBlock_TranslationOptions(TranslationOptions):
    fields = (
        'name', 'description', 'title', 'but_title', 'text',
        'video_url', 'url'
    )
translator.register(WidgetForBlock, WidgetForBlock_TranslationOptions)


class FAQitem_TranslationOptions(TranslationOptions):
    fields = (
        'name', 'question', 'answer'
    )
translator.register(FAQitem, FAQitem_TranslationOptions)

